Retrieve an Application
curl --request GET \
--url https://api.siit.io/v1/applications/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/applications/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/applications/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.siit.io/v1/applications/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siit.io/v1/applications/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.siit.io/v1/applications/{uid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.siit.io/v1/applications/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uid": "<string>",
"admin_permalink_url": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"about": "<string>",
"app_link": "<string>",
"app_owner": "<string>",
"app_owner_uid": "<string>",
"app_owner_backup": "<string>",
"app_owner_backup_uid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"discovered_at": "2023-12-25",
"lifecycle": "active",
"name": "<string>",
"renewal_date": "2023-12-25",
"status": "discovered",
"total_annual_cost": 0,
"updated_at": "2023-11-07T05:31:56Z",
"instances": [
"<string>"
],
"users_count": 123
}{
"error": "<string>",
"troubleshoot": "<string>"
}Usage
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
The UID of the Application
Response
Application show
The UID of the Application
The link to the Application in Siit admin dashboard
datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
A short description of the Application
The URL to the Application
The App owner: a User, a Team or a Team inbox. Teams and Team inboxes share the tv_ UID prefix. Expand the owner to distinguish their representations: only a Team inbox includes members. Expanding a Team or Team inbox owner requires the matching admin.teams.read or admin.team_inboxes.read scope. On write, accepts the UID of a User, a Team or a Team inbox of the company. Pass ?expand[]=field_name for full object.
DEPRECATED: Use app_owner instead. The UID of the app owner (User, Team or Team inbox).
The App owner backup: a User, a Team or a Team inbox. Teams and Team inboxes share the tv_ UID prefix. Expand the owner to distinguish their representations: only a Team inbox includes members. Expanding a Team or Team inbox owner requires the matching admin.teams.read or admin.team_inboxes.read scope. On write, accepts the UID of a User, a Team or a Team inbox of the company. Pass ?expand[]=field_name for full object.
DEPRECATED: Use app_owner_backup instead. The UID of the app owner backup (User, Team or Team inbox).
datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
date formatted as ISO 8601 (e.g. "2020-12-15")
Empty when status is not "approved"
active, cost_optimization, deprecated, evaluating, security_assessment The Application name
date formatted as ISO 8601 (e.g. "2020-12-15")
The status of the Application
approved, discovered, restricted Application's annual cost.
datetime formatted as ISO 8601 (e.g. "2020-12-15T03:34:13.000Z")
Application instances from providers. Pass ?expand[]=field_name for full objects.
Number of Siit users attached to the Application
curl --request GET \
--url https://api.siit.io/v1/applications/{uid} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.siit.io/v1/applications/{uid}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.siit.io/v1/applications/{uid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.siit.io/v1/applications/{uid}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.siit.io/v1/applications/{uid}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.siit.io/v1/applications/{uid}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.siit.io/v1/applications/{uid}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"uid": "<string>",
"admin_permalink_url": "<string>",
"archived_at": "2023-11-07T05:31:56Z",
"about": "<string>",
"app_link": "<string>",
"app_owner": "<string>",
"app_owner_uid": "<string>",
"app_owner_backup": "<string>",
"app_owner_backup_uid": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"currency": "<string>",
"discovered_at": "2023-12-25",
"lifecycle": "active",
"name": "<string>",
"renewal_date": "2023-12-25",
"status": "discovered",
"total_annual_cost": 0,
"updated_at": "2023-11-07T05:31:56Z",
"instances": [
"<string>"
],
"users_count": 123
}{
"error": "<string>",
"troubleshoot": "<string>"
}
